## org.apache.batik.bridge
Class AbstractSVGGradientElementBridge.Stop

    java.lang.Object
      org.apache.batik.bridge.AbstractSVGGradientElementBridge.Stop

Enclosing class:
  AbstractSVGGradientElementBridge

public static class AbstractSVGGradientElementBridge.Stop
extends java.lang.Object

This class represents a gradient <stop> element.

Field Summary
`java.awt.Color` `color` The stop color.
`float` `offset` The stop offset.

Constructor Summary
`AbstractSVGGradientElementBridge.Stop(java.awt.Color color, float offset)` Constructs a new stop definition.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### color

    public java.awt.Color color

  The stop color.

### offset

    public float offset

  The stop offset.

Constructor Detail

### AbstractSVGGradientElementBridge.Stop

    public AbstractSVGGradientElementBridge.Stop(java.awt.Color color,
                                                 float offset)

  Constructs a new stop definition.

Parameters:
  `color` - the stop color
  `offset` - the stop offset

Copyright © 2004 Apache Software Foundation. All Rights Reserved.